# symbol versioning with toplevel ASM statments is incompatible with LTO
# Disable LTO
%define _lto_cflags %{nil}


Summary: Tools to manage UEFI variables
Name: efivar
Version: 38
Release: 3%{?dist}
License: LGPL-2.1-only
URL: https://github.com/rhboot/efivar
Source0: https://github.com/rhboot/efivar/releases/download/%{version}/efivar-%{version}.tar.bz2

BuildRequires: gcc make git mandoc
BuildRequires: efi-srpm-macros glibc-static libabigail

Requires: %{name}-libs = %{version}-%{release}
ExclusiveArch: %{efi}


%description
efivar provides a simple command line interface to the UEFI variable facility.


%package libs
Summary: Library to manage UEFI variables

%description libs
Library to allow for the simple manipulation of UEFI variables.


%package devel
Summary: Development headers for libefivar
Requires: %{name}-libs = %{version}-%{release}

%description devel
development headers required to use libefivar.


%prep
%autosetup -n %{name}-%{version}

%build
make CFLAGS="$CFLAGS" LDFLAGS="$LDFLAGS" 

%install
%make_install
install -m 0644 src/abignore %{buildroot}%{_includedir}/efivar/.abignore

%check
%ifarch x86_64
make abicheck
%endif

%files
%license COPYING
%doc README.md
%{_bindir}/efivar
%{_bindir}/efisecdb
%exclude %{_bindir}/efivar-static
%{_mandir}/man1/*

%files devel
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/*
%{_mandir}/man3/*

%files libs
%{_libdir}/*.so.*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 38-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Jul 04 2022 Yi Lin <nilusyi@tencent.com> - 38-1
- package init.
